@import "../../../assets/styles/main.scss";

//apply coupon code
.applyCouponCodeSection {
  display: flex;
  flex-flow: column;
  gap: 40px;
  height: 100%;
  @include lg {
    gap: 24px;
  }

  .applyCouponCodeHeading {
    padding: 40px;
    padding-bottom: 0px;
    @include lg {
      padding: 30px;
      padding-bottom: 0px;
    }
    h1 {
      font-size: 24px;
      line-height: 32px;
      text-transform: capitalize;
      margin-bottom: 10px;
      font-weight: 700;
      color: getColorHex("black");
      @include lg {
        font-size: 22px;
      }
    }
  }

  .borderdiv {
    background: #d5d8dd;
    height: 1px;
    width: 100%;
  }
  .coupanApplayMain {
    padding: 40px;
    padding-top: 0px;
    display: flex;
    flex-flow: column;
    gap: 40px;
    overflow-y: auto;
    @include lg {
      padding: 30px;
      padding-top: 0px;
      gap: 24px;
    }
    &::-webkit-scrollbar {
      width: 5px;
    }

    /* Track */
    &::-webkit-scrollbar-track {
      background: #f1f1f1;
    }

    /* Handle */
    &::-webkit-scrollbar-thumb {
      background: #c7c5c5;
    }

    /* Handle on hover */
    &::-webkit-scrollbar-thumb:hover {
      background: #a5a3a3;
    }

    .myCoupanBalanceMain {
      display: flex;
      align-items: center;
      justify-content: space-between;
      padding: 20px;
      border-radius: 10px;
      background: linear-gradient(90deg, #ff9a9e 0%, #fad0c4 99%, #fad0c4 100%);
      @include lg {
        padding: 15px;
      }

      h2 {
        font-size: 24px;
        line-height: 32px;
        text-transform: capitalize;
        font-weight: 700;
        color: getColorHex("black");
        @include lg {
          font-size: 22px;
        }
      }

      .couponBalanceCode {
        border-radius: 14px;
        background: #fff;
        padding: 10px 15px;
        display: flex;
        align-items: center;
      }
    }

    .myCoupanBalanceMainSkeleton {
      border-radius: 10px;
      height: 92px;
    }

    form {
      display: flex;
      flex-direction: column;
      gap: 40px;
      @include lg {
        gap: 24px;
      }
      .enterCouponBalance {
        input {
          border-radius: 50px;
          border: 1px solid #eef1f5;
          background: #fff;
          padding: 7px 15px;
          width: 100%;
          transition: border 0.3s ease-in-out;

          &::placeholder {
            font-size: 16px;
            line-height: 20px;
            color: getColorHex("placeholder");
          }

          &.errorInput {
            border: 1px solid red;
            animation: shake 0.3s;
          }
        }

        /* Chrome, Safari, Edge, Opera */
        input::-webkit-outer-spin-button,
        input::-webkit-inner-spin-button {
          -webkit-appearance: none;
          margin: 0;
        }

        /* Firefox */
        input[type="number"] {
          -moz-appearance: textfield;
        }
      }

      .coupanApplayButton {
        button {
          display: flex;
          gap: 10px;
          justify-content: center;
          align-items: center;
          color: getColorHex("white");
          background-color: getColorHex("orange");
          border: unset;
          border-radius: 35px;
          background: linear-gradient(92deg, #f47500 4.71%, #e47f28 93.98%);
          height: 44px;
          width: 152px;
          padding: 10px 30px;
          transition: 0.3s;
          @include inter700;
          @include transition-3s;

          border: none;

          img {
            width: 24px;
            height: 24px;
          }

          .arrowBack {
            display: block;
          }

          .arrowBackOrange {
            display: none;
          }

          &:hover {
            background: getColorHex("white");
            border: 1px solid getColorHex("orange");

            @include transition-3s;

            p {
              color: getColorHex("orange");
            }

            .arrowBack {
              display: none;
            }

            .arrowBackOrange {
              display: block;
            }
          }

          p {
            color: #fff;
            font-size: 20px;
            @include inter700;
            text-transform: capitalize;
            @include lg {
              font-size: 18px;
            }
          }

          // &:disabled {
          //   background: #ccc;
          //   cursor: not-allowed;

          //   p {
          //     color: #666;
          //   }
          //   .arrowBack {
          //     display: block;
          //   }

          //   .arrowBackOrange {
          //     display: none;
          //   }
          // }
        }
      }
    }

    .couponOrOption {
      position: relative;

      p {
        font-size: 12px;
        text-transform: uppercase;
        border-radius: 13px;
        border: 1px dashed getColorHex("orange");
        background: #fff4ea;
        padding: 6px 30px;
        width: 78px;
        text-align: center;
        margin: auto !important;
        z-index: 99;
        position: relative;
        color: getColorHex("black");
      }

      .borderOr {
        border: 1px dashed getColorHex("orange");
        width: 100%;
        height: 1px;
        position: relative;
        top: -18px;
      }
    }

    .useReferralCode {
      h3 {
        font-size: 16px;
        line-height: 20px;
      }
    }
  }
}

@keyframes shake {
  0%,
  100% {
    transform: translateX(0);
  }

  20%,
  60% {
    transform: translateX(-10px);
  }

  40%,
  80% {
    transform: translateX(10px);
  }
}
